EasyRoutes API

List vehicles

GET
/vehicles

Fetch a paginated list of vehicles associated with the shop.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from /authenticate

In: header

Query Parameters

query.limit?integer

Maximum number of vehicles to return. Must be less than or equal to 200. Defaults to 20.

Formatint32
Rangevalue <= 200
cursor?string

Cursor to fetch the next page of results (if available). Should only be set on subsequent requests.

Response Body

application/json

application/json

curl -X GET "https://example.com/vehicles"
{  "vehicles": [    {      "id": "veh-123e4567-e89b-12d3-a456-426614174000",      "name": "Delivery Van 1",      "make": "Ford",      "model": "Transit",      "year": 2023,      "type": "CARGO_VAN",      "vin": "1FTBW2CM5NKA12345",      "license": "ABC-1234",      "isArchived": false,      "createdTimestamp": "2026-07-30T12:00:00Z"    }  ],  "nextCursor": "eyJsaW1pdCI6MjB9"}
{  "code": 0,  "message": "string",  "details": [    {      "@type": "string"    }  ]}